petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscPartitionerType

String with the name of a PETSc graph partitioner

### Synopsis

    typedef const char *PetscPartitionerType;
    #define PETSCPARTITIONERCHACO    "chaco"
    #define PETSCPARTITIONERPARMETIS "parmetis"
    #define PETSCPARTITIONERPTSCOTCH "ptscotch"
    #define PETSCPARTITIONERSHELL    "shell"
    #define PETSCPARTITIONERSIMPLE   "simple"
    #define PETSCPARTITIONERGATHER   "gather"
    #define PETSCPARTITIONERMATPARTITIONING "matpartitioning"

### See Also

PetscPartitionerSetType(), PetscPartitioner

### Level

beginner

### Location

src/dm/../../include/petscdmplex.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages